.TH "ompi_rb_tree_node_t" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
ompi_rb_tree_node_t \- node data structure  

.PP
.SH SYNOPSIS
.br
.PP
\fC#include <ompi_rb_tree.h>\fP
.PP
.SS "Data Fields"

.in +1c
.ti -1c
.RI "\fBopal_list_item_t\fP \fBsuper\fP"
.br
.RI "\fIthe parent class \fP"
.ti -1c
.RI "\fBompi_rb_tree_nodecolor_t\fP \fBcolor\fP"
.br
.RI "\fIthe node color \fP"
.ti -1c
.RI "\fBompi_rb_tree_node_t\fP * \fBparent\fP"
.br
.RI "\fIthe parent node, can be NULL \fP"
.ti -1c
.RI "\fBompi_rb_tree_node_t\fP * \fBleft\fP"
.br
.RI "\fIthe left child - can be nill \fP"
.ti -1c
.RI "\fBompi_rb_tree_node_t\fP * \fBright\fP"
.br
.RI "\fIthe right child - can be nill \fP"
.ti -1c
.RI "void * \fBkey\fP"
.br
.RI "\fIa pointer to the key \fP"
.ti -1c
.RI "void * \fBvalue\fP"
.br
.RI "\fIa pointer to the value \fP"
.in -1c
.SH "Detailed Description"
.PP 
node data structure 
.PP


.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
